Subject: Re: Preemption question (4xx related)

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 02 Jul 2009 17:33:12 +1000

On Wed, 2009-07-01 at 20:14 -0400, Josh Boyer wrote:

> I've toyed with that idea myself.  I keep coming back to the fact that you need
> a workload that would really leverage it, and I don't have one at the moment.

To some extent that's true but just turning full preemption including
kernel side with all the associated debug bits and lockdep should make a
whole bunch of things show up even with ordinary workloads.

For 440 tend to boot an ubuntu distro off NFS root with all X & DRI 3D
etc... and then run compiz :-)

Cheers,
Ben.